3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php assert('2 < 1', 'Two is less than one');
Output for 5.4.8 - 5.6.28, 7.0.0 - 7.1.0
Warning: assert(): Two is less than one: "2 < 1" failed in /in/7SGdl on line 3
Output for hhvm-3.12.0
Warning: assert(): Two is less than one "2 < 1" failed in /in/7SGdl on line 3
Output for hhvm-3.10.0

Process exited with code 153.
Output for 5.3.0 - 5.4.7
Warning: assert() expects exactly 1 parameter, 2 given in /in/7SGdl on line 3
Output for 4.3.0 - 5.2.17
Warning: Wrong parameter count for assert() in /in/7SGdl on line 3